# &kde;-Benutzerhandbuch

Harri
Porten

    porten@kde.org

16.10.2008
0.01.01
kjscmd
1

# `kjscmd`

&kde;-KJSEmbed-Interpreter

## Synopsis

    kjscmd --help  -e --exec   -i -interactive   -n -no-kde  file

## Beschreibung

`kjscmd` ist ein Werkzeug zum Laden von KJSEmbed-Skripten von der Befehlszeile aus. Es wird das Skript in der angegebenen Datei `file` mit KJSEmbed ausführen. Die Standard-Eingabe (stdin) kann nicht als Skriptquelle anstelle von `file` verwendet werden.

## Anwendungsoptionen

`-e`,`--exec`

  Führt das Skript in der Datei `file` ohne Unterstützung für eine grafische Oberfläche aus.

`-i`,`--interactive`

  Startet einen interaktiven `kjs`-Interpreter.

`-n`,`--no-kde`

  Startet ohne Unterstützung für &kde;-KApplication.

## Benutzung

Der meistgenutzte Aufruf von `kjscmd` ist ganz einfach:

    kjscmd file

. Falls der Parameter `file` weggelassen wird, wird ein vorgefertigtes Testskript ausgeführt, welches die Startgeschwindigkeit von `kjscmd` misst.

## Siehe auch

kjs(1)

## Fehler

Berichten Sie Fehler auf bugs.kde.org.